Skip to content

Delete Lifecycle Rule

DELETE
/api/v1/storage/bucket_lifecycle/{bucket_name}/{lifecycle_rule_id}
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_lifecycle/{bucket_name}/{lifecycle_rule_id}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
bucket_name
required
string

Bucket Name

lifecycle_rule_id
required
string

Example

740d0a130b0745ebb036bb866c87f847

Lifecycle Rule ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response